Bug 814536 - notify-sharp fails to display correct application name
notify-sharp fails to display correct application name
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: notify-sharp (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 01:34 EDT by Theodore Lee
Modified: 2013-02-13 07:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:58:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Theodore Lee 2012-04-20 01:34:02 EDT
Description of problem:
When applications display notifications, notify-sharp will usually display them under the name "notify-sharp" instead of the applications' name (the exception being when icons show up on application startup, before any notifications are actually fired off). This is particularly noticeable in the GNOME Shell interface.

Version-Release number of selected component (if applicable):
notify-sharp-0.4.0-0.14.20100411svn.fc15.x86_64

How reproducible:
This is consistently reproducible when using Banshee in GNOME Shell, with the notification area icon turned on.

Steps to Reproduce:
1. Start Banshee in GNOME Shell.
2. Make sure the "Notification Area Icon" extension is enabled.
3. Perform any action that causes Banshee to display a tray notification (e.g. moving between songs while Banshee is not in focus).
4. Dismiss the notification and view the notification area. Mouse over the Banshee icon to view its label.
  
Actual results:
The Banshee icon is labelled "notify-sharp".

Expected results:
The Banshee icon should be labelled "Banshee".

Additional info:
This bug has been reported and fixed within the Banshee project, but the patch from the bug report needs to be applied to Fedora's notify-sharp:
https://bugzilla.gnome.org/show_bug.cgi?id=656533
Comment 1 Fedora End Of Life 2013-01-16 07:38:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 07:58:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.